Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.ant
Class AbstractXMLDBTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask

Direct Known Subclasses:
  BackupTask, RestoreTask, UserTask, XMLDBCopyTask, XMLDBCreateTask, XMLDBExistTask, XMLDBExtractTask, XMLDBListTask, XMLDBMoveTask, XMLDBQueryTask, XMLDBRemoveTask, XMLDBShutdownTask, XMLDBStoreTask, XMLDBXPathTask, XMLDBXQueryTask, XMLDBXUpdateTask

public abstract class AbstractXMLDBTask
extends org.apache.tools.ant.Task

Author:
  wolf

Constructor Summary
`AbstractXMLDBTask()`

Method Summary
`void` | `setDriver(java.lang.String driver)`
`void` | `setFailonerror(boolean failonerror)`
`void` | `setInitdb(boolean create)`
`void` | `setPassword(java.lang.String password)`
`void` | `setUri(java.lang.String uri)`
`void` | `setUser(java.lang.String user)`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractXMLDBTask

    public AbstractXMLDBTask()

Method Detail

### setDriver

    public void setDriver(java.lang.String driver)

  Parameters:
    `driver` -

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` -

### setUser

    public void setUser(java.lang.String user)

  Parameters:
    `user` -

### setUri

    public void setUri(java.lang.String uri)

  Parameters:
    `uri` -

### setInitdb

    public void setInitdb(boolean create)

  Parameters:
    `create` -

### setFailonerror

    public void setFailonerror(boolean failonerror)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.